* Add `task` statues:

  ```sql
  CREATE TABLE task (
    ...
    status INT -- 0 = created, 1 = in-progress, 2 = complete
    removed BOOL -- decides if an item has been removed (save them just in case)
  );
  ```

* Add subtasks/subtasks:

  ```sql
  CREATE TABLE `task (
    ...
    parent_id INT -- self-referential ID
  );
  ```

* Add task deadlines
  
  ```sql
  CREATE TABLE task (
    ...
    deadline DATETIME -- add an (optional) datetime as a time for the task to be complete
  );
  ```

* Add `/new_list/` route.
* Add `/new_item/` route (choose from a dropdown of your lists).
* Add `perms` table.

  ```sql
  CREATE TABLE perms (
    list_id INT, -- foregin key for list
    user_id INT, -- foregin key for user
    perms INT -- 0 = none, 1 = read, 2 = write, 4 = admin (can change perms) binary OR results together to find which permissions are granted
  );
  ```

* Add a way to remove ALL your tasks. It needs to be in reverse ID order so that sub-tasks are deleted before the parent task. 
* Create command-line client like the following:

  ```shell
  $ todor show-lists
  * school
  * work
  * family [selected]
  * social
  $ todor set-list work
  $ todor show-lists
  * school
  * work [selected]
  * family
  * social
  $ todor list
  * Email sponsorship decal [In-Progress]
  * Send email thanking authors of Rocket.rs [Incomplete]
  * ...
  ```
